# Class AnimateCssDriverProvider

- Defined in src/animations/animate-css-driver.js:11
- Defined in src/animations/animate-css-driver.js:10

##### Index

### Constructors

constructor

### Properties

$get
$inject

## Constructors

### constructor

- new AnimateCssDriverProvider($$animationProvider: any): AnimateCssDriverProvider

  #### Parameters

  - $$animationProvider: any

  #### Returns AnimateCssDriverProvider

  - Defined in src/animations/animate-css-driver.js:11

## Properties

### $get

$get: (
| string
| (
(
$animateCss: any,
$$AnimateRunner: typeof AnimateRunner,
$rootElement: Element,
) => (animationDetails: any) => any
)
)[]

#### Type declaration

- string
- (
  $animateCss: any,
  $$AnimateRunner: typeof AnimateRunner,
  $rootElement: Element,
  ) => (animationDetails: any) => any
  - - (
      $animateCss: any,
      $$AnimateRunner: typeof AnimateRunner,
      $rootElement: Element,
      ): (animationDetails: any) => any

    - #### Parameters

      - $animateCss: any
      - $$AnimateRunner: typeof AnimateRunner
      - $rootElement: Element

      #### Returns (animationDetails: any) => any

#### Returns

- Defined in src/animations/animate-css-driver.js:21

### `Static`$inject

$inject: string[]

- Defined in src/animations/animate-css-driver.js:10